package ru.otus.mobile.config;

import java.nio.file.Path;
import java.nio.file.Paths;

public final class ProjectPaths {
    private final Path projectRoot;
    private final Path logcatFile;

    public ProjectPaths() {
        this.projectRoot = Paths.get("").toAbsolutePath().normalize();
        this.logcatFile = projectRoot.resolve("logcat.txt");
    }

    public Path projectRoot() {
        return projectRoot;
    }

    public Path logcatFile() {
        return logcatFile;
    }
}
